groebner_alg.cc File Reference
`#include <polybori/groebner/CountCriterion.h>`
`#include <polybori/groebner/ChainCriterion.h>`
`#include <polybori/groebner/ChainVariableCriterion.h>`
`#include <polybori/groebner/HasTRepOrExtendedProductCriterion.h>`
`#include <polybori/groebner/SetBitUInt.h>`
`#include <polybori/groebner/ZeroFunction.h>`
`#include <polybori/groebner/ShorterEliminationLength.h>`
`#include <polybori/groebner/ShorterEliminationLengthModified.h>`
`#include <polybori/groebner/minimal_elements.h>`
`#include <polybori/groebner/contained_variables.h>`
`#include <polybori/groebner/groebner_alg.h>`
`#include <polybori/groebner/ll_red_nf.h>`
`#include <polybori/groebner/nf.h>`
`#include <polybori/groebner/interpolate.h>`
`#include <algorithm>`
`#include <set>`
`#include <polybori/cache/CacheManager.h>`

## Namespaces

| polybori
| polybori::groebner

## Macros

#define | DANGEROUS_FIXED_PATH 1

## Functions

template<class CacheMgr >
MonomialSet | polybori::groebner::mod_var_set (const CacheMgr &cache_mgr, MonomialSet::navigator a, MonomialSet::navigator v)
MonomialSet | polybori::groebner::mod_var_set (const MonomialSet &as, const MonomialSet &vs)
MonomialSet | polybori::groebner::mod_deg2_set (const MonomialSet &as, const MonomialSet &vs)
template<class CacheMgr >
MonomialSet | polybori::groebner::mod_deg2_set (const CacheMgr &cache_mgr, MonomialSet::navigator a, MonomialSet::navigator v)
Polynomial | polybori::groebner::reduce_by_monom (const Polynomial &p, const Monomial &m)
| assumes that divisibility condition is fullfilled More...
Polynomial | polybori::groebner::reduce_complete (const Polynomial &p, const Polynomial &reductor)
Polynomial | polybori::groebner::reduce_complete (const Polynomial &p, const PolyEntry &reductor, wlen_type &len)
Polynomial | polybori::groebner::translate_indices (const Polynomial &p, const std::vector< idx_type > &table)
template<class MgrType >
MonomialSet | polybori::groebner::recursively_insert (const MgrType &mgr, MonomialSet::navigator p, idx_type idx, MonomialSet::navigator m)
MonomialSet | polybori::groebner::recursively_insert (MonomialSet::navigator p, idx_type idx, MonomialSet mset)
template<class CacheMgr >
Polynomial | polybori::groebner::map_every_x_to_x_plus_one (const CacheMgr &cache_mgr, MonomialSet::navigator nav)
Polynomial | polybori::groebner::map_every_x_to_x_plus_one (Polynomial p)
Polynomial | polybori::groebner::mult_fast_sim (const std::vector< Polynomial > &vec, const BoolePolyRing &ring)
std::vector< Polynomial > | polybori::groebner::full_implication_gb (const Polynomial &p, CacheManager &cache, GroebnerStrategy &strat)

## Macro Definition Documentation

#define DANGEROUS_FIXED_PATH 1